//---------------------------------------------------------------------------
//
// Name:        Demo01Frm.cpp
// Author:      Jacek
// Created:     2007-08-31 14:59:59
// Description: Demo01Frm class implementation
//
//---------------------------------------------------------------------------

#include "Demo01Frm.h"

//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

//----------------------------------------------------------------------------
// Demo01Frm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(Demo01Frm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(Demo01Frm::OnClose)
	EVT_SIZE(Demo01Frm::Demo01FrmSize)
	EVT_MOTION(Demo01Frm::Demo01FrmMouseMotion)
END_EVENT_TABLE()
////Event Table End

Demo01Frm::Demo01Frm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

Demo01Frm::~Demo01Frm()
{
}

void Demo01Frm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	SetTitle(_("Demo01"));
	SetIcon(wxNullIcon);
	SetSize(8,8,570,360);
	Center();
	
	////GUI Items Creation End
}

void Demo01Frm::OnClose(wxCloseEvent& event)
{
	if (wxMessageDialog(NULL, "Czy na pewno chcesz zamkn?","Pytanie", wxOK | wxCANCEL).ShowModal()==wxID_OK) Destroy();
}

/*
 * Demo01FrmMouseMotion
 */
void Demo01Frm::Demo01FrmMouseMotion(wxMouseEvent& event)
{
 wxString ss,sx,sy;
 ss="Przesunito myszk: X=";
 sx = wxString::Format("%d",event.m_x);
 ss+=sx;
 ss+="   Y=";
 sy = wxString::Format("%d",event.m_y);
 ss+=sy;
 this->SetTitle(ss);
}

/*
 * Demo01FrmSize
 */
void Demo01Frm::Demo01FrmSize(wxSizeEvent& event)
{
 wxString ss,sx,sy;
 ss="Zmieniono rozmiar okna: X=";
 sx = wxString::Format("%d",event.GetSize().GetWidth());
 ss+=sx;
 ss+="   Y=";
 sy = wxString::Format("%d",event.GetSize().GetHeight());
 ss+=sy;
 this->SetTitle(ss);
}
