//---------------------------------------------------------------------------
//
// Name:        Demo2Frm.h
// Author:      Jacek
// Created:     2007-09-02 17:39:56
// Description: Demo2Frm class declaration
//
//---------------------------------------------------------------------------

#ifndef __DEMO2FRM_h__
#define __DEMO2FRM_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/scrolbar.h>
#include <wx/stattext.h>
#include <wx/checkbox.h>
#include <wx/textctrl.h>
#include <wx/button.h>
////Header Include End

////Dialog Style Start
#undef Demo2Frm_STYLE
#define Demo2Frm_STYLE wxCAPTION | wxRESIZE_BORDER | wxSYSTEM_MENU | wxMINIMIZE_BOX | wxMAXIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class Demo2Frm : public wxFrame
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		Demo2Frm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Demo2"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = Demo2Frm_STYLE);
		virtual ~Demo2Frm();
		void Demo2FrmInitDialog(wxInitDialogEvent& event);
		void WxButton1Click(wxCommandEvent& event);
		void Demo2FrmActivateApp(wxActivateEvent& event);
		void WxScrollBar1Scroll(wxScrollEvent& event);
		void WxCheckBox1Click(wxCommandEvent& event);
		void WxEdit1Updated(wxCommandEvent& event);
		void WxEdit1Enter(wxCommandEvent& event);
		void WxEdit1Updated1(wxCommandEvent& event);
		void WxEdit1UpdateUI(wxUpdateUIEvent& event);
		
	private:
		//Do not add custom control declarations between
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxScrollBar *WxScrollBar1;
		wxStaticText *WxStaticText1;
		wxCheckBox *WxCheckBox1;
		wxTextCtrl *WxEdit1;
		wxButton *WxButton1;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_WXSCROLLBAR1 = 1005,
			ID_WXSTATICTEXT1 = 1004,
			ID_WXCHECKBOX1 = 1003,
			ID_WXEDIT1 = 1002,
			ID_WXBUTTON1 = 1001,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
