//---------------------------------------------------------------------------
//
// Name:        Demo04Frm.cpp
// Author:      Jacek
// Created:     2007-09-12 22:20:25
// Description: Demo04Frm class implementation
//
//---------------------------------------------------------------------------

#include "Demo04Frm.h"
#include "ModalnyDlg.h"
#include "NieModalnyDlg.h"

//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

ModalnyDlg* dialog_modalny; 
NieModalnyDlg* dialog_nie_modalny;

//----------------------------------------------------------------------------
// Demo04Frm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(Demo04Frm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(Demo04Frm::OnClose)
	
	EVT_COMMAND_SCROLL(ID_WXSCROLLBAR1,Demo04Frm::WxScrollBar1Scroll)
	EVT_BUTTON(ID_WXBUTTON2,Demo04Frm::WxButton2Click)
	EVT_BUTTON(ID_WXBUTTON1,Demo04Frm::WxButton1Click)
END_EVENT_TABLE()
////Event Table End

Demo04Frm::Demo04Frm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

Demo04Frm::~Demo04Frm()
{
}

void Demo04Frm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxScrollBar1 = new wxScrollBar(this, ID_WXSCROLLBAR1, wxPoint(10, 110), wxSize(432, 18), wxSB_HORIZONTAL, wxDefaultValidator, wxT("WxScrollBar1"));
	WxScrollBar1->Enable(false);

	WxButton2 = new wxButton(this, ID_WXBUTTON2, wxT("Niemodalny"), wxPoint(235, 12), wxSize(207, 83), 0, wxDefaultValidator, wxT("WxButton2"));

	WxButton1 = new wxButton(this, ID_WXBUTTON1, wxT("Modalny"), wxPoint(9, 12), wxSize(196, 81), 0, wxDefaultValidator, wxT("WxButton1"));

	SetTitle(wxT("Demo04"));
	SetIcon(wxNullIcon);
	SetSize(8,8,481,194);
	Center();
	
	////GUI Items Creation End
	WxScrollBar1->SetScrollbar(10,15,100,10);
	WxScrollBar1->Enable(false);
}

void Demo04Frm::OnClose(wxCloseEvent& event)
{
	Destroy();
}

/*
 * WxButton1Click
 */
void Demo04Frm::WxButton1Click(wxCommandEvent& event)
{
 dialog_modalny=new ModalnyDlg(this);
 dialog_modalny->ShowModal();
}

/*
 * WxButton2Click
 */
void Demo04Frm::WxButton2Click(wxCommandEvent& event)
{
 dialog_nie_modalny=new NieModalnyDlg(this);
 dialog_nie_modalny->Show(true);
 WxScrollBar1->Enable();
}

/*
 * WxScrollBar1Scroll
 */
void Demo04Frm::WxScrollBar1Scroll(wxScrollEvent& event)
{
    dialog_nie_modalny->SetPositionValue(WxScrollBar1->GetThumbPosition());
}

void Demo04Frm::SetScrollThumb(int p)
{
    WxScrollBar1->SetThumbSize(p);
}
