//---------------------------------------------------------------------------
//
// Name:        Demo04Frm.h
// Author:      Jacek
// Created:     2007-09-12 22:20:25
// Description: Demo04Frm class declaration
//
//---------------------------------------------------------------------------

#ifndef __DEMO04FRM_h__
#define __DEMO04FRM_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/scrolbar.h>
#include <wx/button.h>
////Header Include End

////Dialog Style Start
#undef Demo04Frm_STYLE
#define Demo04Frm_STYLE wxCAPTION | wxRESIZE_BORDER | wxSYSTEM_MENU | wxMINIMIZE_BOX | wxMAXIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class Demo04Frm : public wxFrame
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		Demo04Frm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Demo04"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = Demo04Frm_STYLE);
		virtual ~Demo04Frm();
		void WxButton1Click(wxCommandEvent& event);
		void WxButton2Click(wxCommandEvent& event);
		void WxScrollBar1Scroll(wxScrollEvent& event);
		void SetScrollThumb(int p);
		
	private:
		//Do not add custom control declarations between
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxScrollBar *WxScrollBar1;
		wxButton *WxButton2;
		wxButton *WxButton1;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_WXSCROLLBAR1 = 1003,
			ID_WXBUTTON2 = 1002,
			ID_WXBUTTON1 = 1001,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
