//---------------------------------------------------------------------------
//
// Name:        Demo06Frm.cpp
// Author:      Jacek
// Created:     2007-09-26 13:17:34
// Description: Demo06Frm class implementation
//
//---------------------------------------------------------------------------

#include "Demo06Frm.h"

//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

//----------------------------------------------------------------------------
// Demo06Frm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(Demo06Frm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(Demo06Frm::OnClose)
	EVT_PAINT(Demo06Frm::Demo06FrmPaint)
END_EVENT_TABLE()
////Event Table End

Demo06Frm::Demo06Frm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
	SetBackgroundColour(wxWHITE->GetPixel());
}

Demo06Frm::~Demo06Frm()
{
}

void Demo06Frm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	SetTitle(wxT("Demo06"));
	SetIcon(wxNullIcon);
	SetSize(8,8,394,421);
	Center();
	
	////GUI Items Creation End
}

void Demo06Frm::OnClose(wxCloseEvent& event)
{
	Destroy();
}

/*
 * Demo06FrmPaint
 */
void Demo06Frm::Demo06FrmPaint(wxPaintEvent& event)
{
	wxPaintDC *MyDC;
    MyDC = new wxPaintDC(this);

    MyDC->DrawRectangle(10,10,20,190);
    MyDC->SetBrush(wxBrush(wxColour(192,192,192),wxSOLID));
    MyDC->DrawRectangle(40,10,20,190);

    MyDC->SetBrush(wxBrush(wxColour(128,128,128),wxSOLID));
    MyDC->DrawRectangle(70,10,20,190);
    MyDC->SetBrush(wxBrush(wxColour(128,192,96),wxSOLID));
    MyDC->DrawRectangle(100,10,20,190);

    MyDC->SetBrush(wxBrush(wxColour(96,192,255),wxFDIAGONAL_HATCH));
    MyDC->DrawRectangle(130,10,20,190);
    MyDC->DrawLine(160,10,160,200);
    MyDC->DrawLine(160,200,200,200);
    MyDC->DrawLine(200,200,160,10);
    MyDC->FloodFill(163,198,wxColor(0,0,0),wxFLOOD_BORDER);
    
    MyDC->SetBrush(wxBrush(wxColour(192,192,192),wxSOLID));
    MyDC->DrawRectangle(5,60,195,10);

    MyDC->SetPen(wxPen(wxColour(255,255,255),1,wxSOLID));
    MyDC->DrawRectangle(5,80,195,10);

    MyDC->SetPen(wxPen(wxColour(0,0,0),1,wxSOLID));
    MyDC->DrawRectangle(5,100,195,10);

    MyDC->SetPen(wxPen(wxColour(0,0,0),1,wxTRANSPARENT));
    MyDC->DrawRectangle(5,120,195,10);

    MyDC->SetBrush(wxBrush(wxColour(0,0,0),wxTRANSPARENT));
    MyDC->SetPen(wxPen(wxColour(0,0,0),1,wxSOLID));
    MyDC->DrawRectangle(5,140,195,10);

    MyDC->SetPen(wxPen(wxColour(255,0,0),1,wxSOLID));
    MyDC->DrawLine(5,30,200,30);

    MyDC->SetPen(wxPen(wxColour(255,0,0),3,wxLONG_DASH));
    MyDC->DrawLine(5,40,200,40);

    MyDC->SetPen(wxPen(wxColour(255,0,0),1,wxDOT));
    MyDC->DrawLine(5,50,200,50);

    MyDC->SetPen(wxNullPen);            // ustawienie domyslnego piora dla DC
    MyDC->SetBrush(wxNullBrush);        // ustawienie domyslnego pedzla dla DC

    MyDC->DrawRectangle(5,180,150,20);
    
    delete (MyDC);

}
