//---------------------------------------------------------------------------
//
// Name:        Demo08Frm.cpp
// Author:      Jacek
// Created:     2007-09-26 22:31:30
// Description: Demo08Frm class implementation
//
//---------------------------------------------------------------------------

#include "Demo08Frm.h"

//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
#define wxT
////Header Include End

//----------------------------------------------------------------------------
// Demo08Frm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(Demo08Frm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(Demo08Frm::OnClose)
	EVT_PAINT(Demo08Frm::Demo08FrmPaint)
	EVT_BUTTON(ID_WXBUTTON2,Demo08Frm::WxButton2Click)
	EVT_BUTTON(ID_WXBUTTON1,Demo08Frm::WxButton1Click)
END_EVENT_TABLE()
////Event Table End

Demo08Frm::Demo08Frm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

Demo08Frm::~Demo08Frm()
{
}

void Demo08Frm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxOpenFileDialog1 =  new wxFileDialog(this, wxT("Choose a file"), wxT(""), wxT(""), wxT("*.*"), wxFD_OPEN);

	WxButton2 = new wxButton(this, ID_WXBUTTON2, wxT("Zapisz JPG"), wxPoint(261, 503), wxSize(129, 29), 0, wxDefaultValidator, wxT("WxButton2"));

	WxButton1 = new wxButton(this, ID_WXBUTTON1, wxT("Wczytaj BMP"), wxPoint(23, 503), wxSize(121, 29), 0, wxDefaultValidator, wxT("WxButton1"));

	SetTitle(wxT("Demo08"));
	SetIcon(wxNullIcon);
	SetSize(8,8,437,596);
	Center();
	
	////GUI Items Creation End
	MyImage.AddHandler(new wxJPEGHandler);
	MyImage.AddHandler(new wxPNGHandler);
}

void Demo08Frm::OnClose(wxCloseEvent& event)
{
	Destroy();
}

/*
 * WxButton1Click
 */
void Demo08Frm::WxButton1Click(wxCommandEvent& event)
{
    wxString filename;
    WxOpenFileDialog1->SetWildcard("BMP files (*.bmp)|*.bmp");
	if (WxOpenFileDialog1->ShowModal()==wxID_OK)
	{
        filename=WxOpenFileDialog1->GetPath();

    if (!MyImage.LoadFile(filename, wxBITMAP_TYPE_BMP ) )
        wxLogError(wxT("Nie mona zaadowa obrazka"));
    else
    {
        wxImage TempImg(MyImage);      
        TempImg.Rescale(120,80);  
        MyImage.Paste(TempImg,MyImage.GetWidth()-120,0);
        MyBitmap = wxBitmap( MyImage );
    }
    if (MyBitmap.Ok()) this->SetTitle(filename);    
    Refresh();
    }
}

/*
 * Demo08FrmPaint
 */
void Demo08Frm::Demo08FrmPaint(wxPaintEvent& event)
{
    wxPaintDC dc( this );
    PrepareDC( dc );
	if (MyBitmap.Ok()) dc.DrawBitmap( MyBitmap, 20, 20 );
}

/*
 * WxButton2Click
 */
void Demo08Frm::WxButton2Click(wxCommandEvent& event)
{
	MyImage.SaveFile("test-out.bmp");
	MyImage.SetOption("quality",5);
	MyImage.SaveFile("test-out.jpg");
	MyImage.SaveFile("test-out.png");
//	MyBitmap.SaveFile("test-out.bmp",wxBITMAP_TYPE_BMP);
//	MyBitmap.SaveFile("test-out.jpg",wxBITMAP_TYPE_JPEG);
//	MyBitmap.SaveFile("test-out.png",wxBITMAP_TYPE_PNG);
}

/*
 * WxButton3Click
 */
void Demo08Frm::WxButton3Click(wxCommandEvent& event)
{

}
