//---------------------------------------------------------------------------
//
// Name:        Demo2Frm.cpp
// Author:      Jacek
// Created:     2007-09-02 17:39:56
// Description: Demo2Frm class implementation
//
//---------------------------------------------------------------------------

#include "Demo2Frm.h"

//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

//----------------------------------------------------------------------------
// Demo2Frm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(Demo2Frm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(Demo2Frm::OnClose)
	
	EVT_COMMAND_SCROLL(ID_WXSCROLLBAR1,Demo2Frm::WxScrollBar1Scroll)
	EVT_CHECKBOX(ID_WXCHECKBOX1,Demo2Frm::WxCheckBox1Click)
	
	EVT_TEXT(ID_WXEDIT1,Demo2Frm::WxEdit1Updated1)
	EVT_BUTTON(ID_WXBUTTON1,Demo2Frm::WxButton1Click)
END_EVENT_TABLE()
////Event Table End

Demo2Frm::Demo2Frm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

Demo2Frm::~Demo2Frm()
{
}

void Demo2Frm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxScrollBar1 = new wxScrollBar(this, ID_WXSCROLLBAR1, wxPoint(22, 114), wxSize(374, 19), wxSB_HORIZONTAL, wxDefaultValidator, _("WxScrollBar1"));
	WxScrollBar1->Enable(false);

	WxStaticText1 = new wxStaticText(this, ID_WXSTATICTEXT1, _("WxStaticText1"), wxPoint(180, 66), wxDefaultSize, 0, _("WxStaticText1"));

	WxCheckBox1 = new wxCheckBox(this, ID_WXCHECKBOX1, _("Blokada"), wxPoint(25, 70), wxSize(112, 20), 0, wxDefaultValidator, _("WxCheckBox1"));

	WxEdit1 = new wxTextCtrl(this, ID_WXEDIT1, _("WxEdit1"), wxPoint(174, 22), wxSize(140, 22), 0, wxDefaultValidator, _("WxEdit1"));

	WxButton1 = new wxButton(this, ID_WXBUTTON1, _("Jaki przycisk"), wxPoint(20, 16), wxSize(121, 29), 0, wxDefaultValidator, _("WxButton1"));

	SetTitle(_("Demo2"));
	SetIcon(wxNullIcon);
	SetSize(8,8,452,209);
	Center();
	
	////GUI Items Creation End
	WxScrollBar1->SetScrollbar(10,15,100,10);
	WxScrollBar1->Enable();
}

void Demo2Frm::OnClose(wxCloseEvent& event)
{
	//Close();
	Destroy();
}

/*
 * WxButton1Click
 */
void Demo2Frm::WxButton1Click(wxCommandEvent& event)
{
 wxMessageDialog(NULL, "Wcinito przycisk","Uwaga", wxOK).ShowModal();
}



/*
 * WxScrollBar1Scroll
 */
void Demo2Frm::WxScrollBar1Scroll(wxScrollEvent& event)
{
 WxStaticText1->SetLabel(wxString::Format("%d",WxScrollBar1->GetThumbPosition()));
}

/*
 * WxCheckBox1Click
 */
void Demo2Frm::WxCheckBox1Click(wxCommandEvent& event)
{
 if (WxButton1->IsEnabled()) WxButton1->Enable(false); else WxButton1->Enable(true);
}



/*
 * WxEdit1Updated1
 */
void Demo2Frm::WxEdit1Updated1(wxCommandEvent& event)
{
 if (WxEdit1) WxStaticText1->SetLabel("Wpisano: "+WxEdit1->GetValue());
}

