//---------------------------------------------------------------------------
//
// Name:        Demo03Frm.cpp
// Author:      Jacek
// Created:     2007-09-02 19:54:53
// Description: Demo03Frm class implementation
//
//---------------------------------------------------------------------------

#define USE_RESOURCE_LOADING_IN_MSW

#include "Demo03Frm.h"
#include <time.h>

//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

//----------------------------------------------------------------------------
// Demo03Frm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(Demo03Frm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(Demo03Frm::OnClose)
	EVT_MENU(ID_MNU_NOWY_1007, Demo03Frm::Mnunowy1007Click)
	EVT_MENU(ID_MNU_ZAKO_CZ_1009, Demo03Frm::Mnuzakocz1009Click)
	EVT_TIMER(ID_WXTIMER1,Demo03Frm::WxTimer1Timer)
	EVT_CHECKBOX(ID_WXCHECKBOX1,Demo03Frm::WxCheckBox1Click)
END_EVENT_TABLE()
////Event Table End

Demo03Frm::Demo03Frm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
	SetCursor(wxCursor(wxCURSOR_HAND));
//    MyCursor= wxCursor("my_cursor.cur",wxBITMAP_TYPE_CUR);
//	SetCursor(MyCursor);	
}

Demo03Frm::~Demo03Frm()
{
}

void Demo03Frm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxMenuBar1 = new wxMenuBar();
	wxMenu *ID_MNU_PLIK_1004_Mnu_Obj = new wxMenu();
	ID_MNU_PLIK_1004_Mnu_Obj->Append(ID_MNU_NOWY_1007, _("&Nowy"), _(""), wxITEM_NORMAL);
	ID_MNU_PLIK_1004_Mnu_Obj->AppendSeparator();
	ID_MNU_PLIK_1004_Mnu_Obj->Append(ID_MNU_ZAKO_CZ_1009, _("&Zakocz"), _(""), wxITEM_NORMAL);
	WxMenuBar1->Append(ID_MNU_PLIK_1004_Mnu_Obj, _("&Plik"));
	
	wxMenu *ID_MNU_ABOUT_1006_Mnu_Obj = new wxMenu();
	ID_MNU_ABOUT_1006_Mnu_Obj->Append(ID_MNU_OPCJA1_1010, _("Opcja &1"), _(""), wxITEM_CHECK);
	ID_MNU_ABOUT_1006_Mnu_Obj->Check(ID_MNU_OPCJA1_1010,true);
	ID_MNU_ABOUT_1006_Mnu_Obj->Append(ID_MNU_OPCJA2_1011, _("Opcja &2"), _(""), wxITEM_CHECK);
	ID_MNU_ABOUT_1006_Mnu_Obj->Check(ID_MNU_OPCJA2_1011,false);
	ID_MNU_ABOUT_1006_Mnu_Obj->AppendSeparator();
	ID_MNU_ABOUT_1006_Mnu_Obj->Append(ID_MNU_WYB_RA_1013, _("Wybr A"), _(""), wxITEM_RADIO);
	ID_MNU_ABOUT_1006_Mnu_Obj->Check(ID_MNU_WYB_RA_1013,true);
	ID_MNU_ABOUT_1006_Mnu_Obj->Append(ID_MNU_WYB_RB_1014, _("Wybr B"), _(""), wxITEM_RADIO);
	ID_MNU_ABOUT_1006_Mnu_Obj->Check(ID_MNU_WYB_RB_1014,false);
	WxMenuBar1->Append(ID_MNU_ABOUT_1006_Mnu_Obj, _("&About"));
	SetMenuBar(WxMenuBar1);

	WxTimer1 = new wxTimer();
	WxTimer1->SetOwner(this, ID_WXTIMER1);

	WxCheckBox1 = new wxCheckBox(this, ID_WXCHECKBOX1, _("Wcz &zegarek"), wxPoint(70, 273), wxSize(112, 20), 0, wxDefaultValidator, _("WxCheckBox1"));

	WxStaticText1 = new wxStaticText(this, ID_WXSTATICTEXT1, _("WxStaticText1"), wxPoint(125, 152), wxDefaultSize, 0, _("WxStaticText1"));
	WxStaticText1->SetFont(wxFont(25, wxSWISS, wxNORMAL, wxBOLD, false, _("Tahoma")));

	SetTitle(_("Demo03"));
	SetIcon(wxNullIcon);
	SetSize(8,8,730,471);
	Center();
	
	////GUI Items Creation End
}

void Demo03Frm::OnClose(wxCloseEvent& event)
{
	Destroy();
}

/*
 * WxCheckBox1Click
 */
void Demo03Frm::WxCheckBox1Click(wxCommandEvent& event)
{
 if (WxCheckBox1->IsChecked())
 {
  WxTimer1->Start(100);
 }
 else
 {
  WxTimer1->Stop();
 }
    MyCursor= wxCursor("my_cursor.cur",wxBITMAP_TYPE_CUR);
	SetCursor(MyCursor); 
}

/*
 * WxTimer1Timer
 */
void Demo03Frm::WxTimer1Timer(wxTimerEvent& event)
{
 char CurrentTime[255];
 _strtime(CurrentTime);
 WxStaticText1->SetLabel(CurrentTime);
}

/*
 * Mnunowy1007Click
 */
void Demo03Frm::Mnunowy1007Click(wxCommandEvent& event)
{
 WxStaticText1->SetLabel("Wybrano: NOWY");
}

/*
 * Mnupomoc1005Click
 */
void Demo03Frm::Mnupomoc1005Click(wxCommandEvent& event)
{
 WxStaticText1->SetLabel("Wybrano: POMOC");
}

/*
 * Mnuzakocz1009Click
 */
void Demo03Frm::Mnuzakocz1009Click(wxCommandEvent& event)
{
 Close();
}

/*
 * Mnuxxxxgg1012Click
 */
void Demo03Frm::Mnuxxxxgg1012Click(wxCommandEvent& event)
{
	// insert your code here
}

/*
 * MojaTrzeciaOpcja
 */
void Demo03Frm::MojaTrzeciaOpcja(wxCommandEvent& event)
{
	// insert your code here
}

/*
 * Mnutest1013Click
 */
void Demo03Frm::Mnutest1013Click(wxCommandEvent& event)
{
	// insert your code here
}
