//---------------------------------------------------------------------------
//
// Name:        Demo03Frm.h
// Author:      Jacek
// Created:     2007-09-02 19:54:53
// Description: Demo03Frm class declaration
//
//---------------------------------------------------------------------------

#ifndef __DEMO03FRM_h__
#define __DEMO03FRM_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/menu.h>
#include <wx/timer.h>
#include <wx/checkbox.h>
#include <wx/stattext.h>
////Header Include End

////Dialog Style Start
#undef Demo03Frm_STYLE
#define Demo03Frm_STYLE wxCAPTION | wxRESIZE_BORDER | wxSYSTEM_MENU | wxMINIMIZE_BOX | wxMAXIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class Demo03Frm : public wxFrame
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		Demo03Frm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Demo03"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = Demo03Frm_STYLE);
		virtual ~Demo03Frm();
		void WxCheckBox1Click(wxCommandEvent& event);
		void WxTimer1Timer(wxTimerEvent& event);
	void Mnunowy1007Click(wxCommandEvent& event);
	void Mnupomoc1005Click(wxCommandEvent& event);
	void Mnuzakocz1009Click(wxCommandEvent& event);
	void Mnuxxxxgg1012Click(wxCommandEvent& event);
	void MojaTrzeciaOpcja(wxCommandEvent& event);
		void Mnutest1013Click(wxCommandEvent& event);
		
	private:
		//Do not add custom control declarations between
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxMenuBar *WxMenuBar1;
		wxTimer *WxTimer1;
		wxCheckBox *WxCheckBox1;
		wxStaticText *WxStaticText1;
		////GUI Control Declaration End
		wxCursor MyCursor;
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_MNU_PLIK_1004 = 1004,
			ID_MNU_NOWY_1007 = 1007,
			ID_MNU_ZAKO_CZ_1009 = 1009,
			ID_MNU_ABOUT_1006 = 1006,
			ID_MNU_OPCJA1_1010 = 1010,
			ID_MNU_OPCJA2_1011 = 1011,
			ID_MNU_WYB_RA_1013 = 1013,
			ID_MNU_WYB_RB_1014 = 1014,
			
			ID_WXTIMER1 = 1002,
			ID_WXCHECKBOX1 = 1003,
			ID_WXSTATICTEXT1 = 1001,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
