//---------------------------------------------------------------------------
//
// Name:        NieModalnyDlg.cpp
// Author:      Jacek
// Created:     2007-09-12 22:31:35
// Description: NieModalnyDlg class implementation
//
//---------------------------------------------------------------------------

#include "NieModalnyDlg.h"
#include "Demo04Frm.h"

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#define wxT
////Header Include End

//----------------------------------------------------------------------------
// NieModalnyDlg
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(NieModalnyDlg,wxDialog)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(NieModalnyDlg::OnClose)
	EVT_BUTTON(ID_WXBUTTON1,NieModalnyDlg::WxButton1Click)
	
	EVT_COMMAND_SCROLL(ID_WXSCROLLBAR1,NieModalnyDlg::WxScrollBar1Scroll)
END_EVENT_TABLE()
////Event Table End

extern Demo04Frm* frame;

NieModalnyDlg::NieModalnyDlg(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxDialog(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

NieModalnyDlg::~NieModalnyDlg()
{
} 

void NieModalnyDlg::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End.
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxButton1 = new wxButton(this, ID_WXBUTTON1, wxT("Zakocz"), wxPoint(150, 115), wxSize(87, 29), 0, wxDefaultValidator, wxT("WxButton1"));

	WxStaticText1 = new wxStaticText(this, ID_WXSTATICTEXT1, wxT("WxStaticText1"), wxPoint(33, 63), wxDefaultSize, 0, wxT("WxStaticText1"));
	WxStaticText1->SetFont(wxFont(18, wxSWISS, wxNORMAL, wxBOLD, false, wxT("Tahoma")));

	WxScrollBar1 = new wxScrollBar(this, ID_WXSCROLLBAR1, wxPoint(10, 17), wxSize(334, 19), wxSB_HORIZONTAL, wxDefaultValidator, wxT("WxScrollBar1"));
	WxScrollBar1->Enable(false);

	SetTitle(wxT("NieModalny"));
	SetIcon(wxNullIcon);
	SetSize(8,8,378,210);
	Center();
	
	////GUI Items Creation End
	WxScrollBar1->SetScrollbar(0,10,100,10);
	WxScrollBar1->Enable();
}

void NieModalnyDlg::OnClose(wxCloseEvent& /*event*/)
{
	Destroy();
}

/*
 * WxButton1Click
 */
void NieModalnyDlg::WxButton1Click(wxCommandEvent& event)
{
    Close();
}

void NieModalnyDlg::SetPositionValue(int p)
{
 WxStaticText1->SetLabel(wxString::Format("%d",p));
}


/*
 * WxScrollBar1Scroll
 */
void NieModalnyDlg::WxScrollBar1Scroll(wxScrollEvent& event)
{
    frame->SetScrollThumb(WxScrollBar1->GetThumbPosition());
}
