//---------------------------------------------------------------------------
//
// Name:        Demo05Frm.cpp
// Author:      Jacek
// Created:     2007-09-25 16:23:11
// Description: Demo05Frm class implementation
//
//---------------------------------------------------------------------------

#include <wx/colour.h>
#include "Demo05Frm.h"

//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

bool DrawFlag=false;

//----------------------------------------------------------------------------
// Demo05Frm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(Demo05Frm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(Demo05Frm::OnClose)
	EVT_MOTION(Demo05Frm::Demo05FrmMouseMotion)
	EVT_LEFT_DOWN(Demo05Frm::Demo05FrmLeftDown)
	EVT_LEFT_UP(Demo05Frm::Demo05FrmLeftUP)
	EVT_PAINT(Demo05Frm::Demo05FrmPaint)
END_EVENT_TABLE()
////Event Table End

Demo05Frm::Demo05Frm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
	SetBackgroundColour(*wxWHITE);
}

Demo05Frm::~Demo05Frm()
{
}

void Demo05Frm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	SetTitle(wxT("Demo05"));
	SetIcon(wxNullIcon);
	SetSize(8,8,699,526);
	Center();
	
	////GUI Items Creation End
}

void Demo05Frm::OnClose(wxCloseEvent& event)
{
	Destroy();
}

/*
 * Demo05FrmPaint
 */
void Demo05Frm::Demo05FrmPaint(wxPaintEvent& event)
{
	int i,j;
    wxPoint pts[5],ptsB[4];
    wxPen MyPen;

    pts[0]=wxPoint(200,40);
    pts[1]=wxPoint(220,60);
    pts[2]=wxPoint(240,50);
    pts[3]=wxPoint(260,60);
    pts[4]=wxPoint(280,40);
    ptsB[0]=wxPoint(400,90);
    ptsB[1]=wxPoint(415,240);
    ptsB[2]=wxPoint(480,90);
    ptsB[3]=wxPoint(520,140);

	wxPaintDC *MyDC;
    MyDC = new wxPaintDC(this);


    MyDC->DrawArc(75,180,155,220,75,200);
    MyDC->DrawCheckMark(0,160,40,40);
    MyDC->DrawCircle(50,260,40);
    MyDC->DrawEllipse(25,300,100,60);
    MyDC->DrawEllipticArc(25,360,100,60,130,290);

    MyDC->DrawLine(160,10,300,30);
    MyDC->DrawLines(5,pts);

    MyDC->DrawPolygon(5,pts,-30,50);

    MyDC->DrawRectangle(170,120,120,60);
    MyDC->DrawRoundedRectangle(170,190,100,35,12);
    MyDC->DrawSpline(4,ptsB);

    MyDC->DrawText("QWERTY 123 zxcvb",400,30);
    MyDC->DrawRotatedText("QWERTY 123 zxcvb",400,250,30);


    for (i=0; i<150; i++)
     for (j=0; j<150; j++)
     {
      MyPen.SetColour(i,i-j,j);
      MyDC->SetPen(MyPen);
      MyDC->DrawPoint(i,j);
     }

    delete (MyDC);
}

/*
 * Demo05FrmLeftDown
 */
void Demo05Frm::Demo05FrmLeftDown(wxMouseEvent& event)
{
    DrawFlag=true;
}

/*
 * Demo05FrmLeftUP
 */
void Demo05Frm::Demo05FrmLeftUP(wxMouseEvent& event)
{
    DrawFlag=false;
}

/*
 * Demo05FrmMouseMotion
 */
void Demo05Frm::Demo05FrmMouseMotion(wxMouseEvent& event)
{
	int x,y;
	if (DrawFlag)
	{
       wxClientDC MyDC(this);
	   x=event.GetX();
	   y=event.GetY();
	   MyDC.SetPen(wxPen(*wxBLACK,1));
       MyDC.DrawPoint(x,y);
    }
}
