//---------------------------------------------------------------------------
//
// Name:        Demo07Frm.cpp
// Author:      Jacek
// Created:     2007-09-26 20:27:27
// Description: Demo07Frm class implementation
//
//---------------------------------------------------------------------------

#include "Demo07Frm.h"
#include <wx/fontenum.h>
//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
#define wxT
////Header Include End

//----------------------------------------------------------------------------
// Demo07Frm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(Demo07Frm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(Demo07Frm::OnClose)
	EVT_PAINT(Demo07Frm::Demo07FrmPaint)
	EVT_CHOICE(ID_WXCHOICE1,Demo07Frm::WxChoice1Selected)
END_EVENT_TABLE()
////Event Table End

Demo07Frm::Demo07Frm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

Demo07Frm::~Demo07Frm()
{
}

void Demo07Frm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxStaticText1 = new wxStaticText(this, ID_WXSTATICTEXT1, wxT("ABCDEFGabcdefg1234"), wxPoint(46, 28), wxDefaultSize, 0, wxT("WxStaticText1"));
	WxStaticText1->SetFont(wxFont(25, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Tahoma")));

	wxArrayString arrayStringFor_WxChoice1;
	WxChoice1 = new wxChoice(this, ID_WXCHOICE1, wxPoint(447, 21), wxSize(234, 23), arrayStringFor_WxChoice1, 0, wxDefaultValidator, wxT("WxChoice1"));
	WxChoice1->SetSelection(-1);

	SetTitle(wxT("Demo07"));
	SetIcon(wxNullIcon);
	SetSize(8,8,729,422);
	Center();
	
	////GUI Items Creation End
	
    wxArrayString SystemFonts;
	SystemFonts=wxFontEnumerator::GetFacenames();
	for (int i=0; i<SystemFonts.Count(); i++)
	 WxChoice1->Append(SystemFonts[i]);
	WxChoice1->SetSelection(0);	
}

void Demo07Frm::OnClose(wxCloseEvent& event)
{
	Destroy();
}

/*
 * WxChoice1Selected
 */
void Demo07Frm::WxChoice1Selected(wxCommandEvent& event )
{
	WxStaticText1->SetFont(wxFont(22, wxSWISS, wxNORMAL,wxNORMAL, false, wxT(WxChoice1->GetString(WxChoice1->GetSelection()))));
    Refresh();
}

/*
 * Demo07FrmPaint
 */
void Demo07Frm::Demo07FrmPaint(wxPaintEvent& event)
{
	wxPaintDC *MyDC;
    MyDC = new wxPaintDC(this);
    MyDC->SetFont(wxFont(10, wxFONTFAMILY_DEFAULT, wxFONTSTYLE_NORMAL,wxFONTWEIGHT_NORMAL , false, wxT(WxChoice1->GetString(WxChoice1->GetSelection()))));
    MyDC->DrawText("Przykadowy tekst",20,70);
    MyDC->SetTextForeground(wxColor(255,0,0));
    MyDC->DrawText("Kolorowy text",20,90);
    MyDC->SetFont(wxFont(20, wxFONTFAMILY_DEFAULT, wxFONTSTYLE_NORMAL,wxFONTWEIGHT_BOLD , true, wxT(WxChoice1->GetString(WxChoice1->GetSelection()))));
    MyDC->DrawText("Przykadowy tekst pogrubiony",20,130);
    MyDC->SetFont(wxFont(15, wxFONTFAMILY_DEFAULT, wxFONTSTYLE_ITALIC,wxFONTWEIGHT_BOLD , false, wxT(WxChoice1->GetString(WxChoice1->GetSelection()))));
    MyDC->SetTextForeground(wxColor(0,0,255));
    MyDC->DrawText("Przykadowy tekst pochyy",20,170);
    delete (MyDC);
}
